Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Class TextPaintInfo

    java.lang.Object
      org.apache.batik.gvt.text.TextPaintInfo

public class TextPaintInfo
extends java.lang.Object

One line Class Desc Complete Class Desc

Field Summary
`java.awt.Composite` | `composite`
`java.awt.Paint` | `fillPaint`
`java.awt.Paint` | `overlinePaint`
`java.awt.Stroke` | `overlineStroke`
`java.awt.Paint` | `overlineStrokePaint`
`java.awt.Paint` | `strikethroughPaint`
`java.awt.Stroke` | `strikethroughStroke`
`java.awt.Paint` | `strikethroughStrokePaint`
`java.awt.Paint` | `strokePaint`
`java.awt.Stroke` | `strokeStroke`
`java.awt.Paint` | `underlinePaint`
`java.awt.Stroke` | `underlineStroke`
`java.awt.Paint` | `underlineStrokePaint`

Constructor Summary
`TextPaintInfo()`
`TextPaintInfo(TextPaintInfo pi)`

Method Summary
`static boolean` | `equivilent(TextPaintInfo tpi1, TextPaintInfo tpi2)`
`void` | `set(TextPaintInfo pi)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fillPaint

    public java.awt.Paint fillPaint

### strokePaint

    public java.awt.Paint strokePaint

### strokeStroke

    public java.awt.Stroke strokeStroke

### composite

    public java.awt.Composite composite

### underlinePaint

    public java.awt.Paint underlinePaint

### underlineStrokePaint

    public java.awt.Paint underlineStrokePaint

### underlineStroke

    public java.awt.Stroke underlineStroke

### overlinePaint

    public java.awt.Paint overlinePaint

### overlineStrokePaint

    public java.awt.Paint overlineStrokePaint

### overlineStroke

    public java.awt.Stroke overlineStroke

### strikethroughPaint

    public java.awt.Paint strikethroughPaint

### strikethroughStrokePaint

    public java.awt.Paint strikethroughStrokePaint

### strikethroughStroke

    public java.awt.Stroke strikethroughStroke

Constructor Detail

### TextPaintInfo

    public TextPaintInfo()

### TextPaintInfo

    public TextPaintInfo(TextPaintInfo pi)

Method Detail

### set

    public void set(TextPaintInfo pi)

### equivilent

    public static boolean equivilent(TextPaintInfo tpi1,
                                     TextPaintInfo tpi2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.